田草博客

互联网田草博客


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件 | ID
-随机-|-分布-
-博客论坛-|-﨣﨤﨧﨨-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2024 - 4 48
 123456
78910111213
14151617181920
21222324252627
282930


站点统计

最新评论



Dismiss Dialogue using Windows API 【转帖】获取AutoCAD命令行窗口句柄的函数
未知 【转帖】在文档窗口中添加控件的简单原型   [ 日期:2018-06-24 ]   [ 来自:转帖 ]  HTML
http://bbs.mjtd.com/thread-79240-1-1.html


        <DllImport("user32.dll")> _
        Private Shared Function SetParent(ByVal child As IntPtr, ByVal newParent As IntPtr) As IntPtr
        End Function


        Shared button1 As New System.Windows.Forms.Button()
        <CommandMethod("sab")> _
        Public Shared Sub ShowMe()
            If button1 Is Nothing Then
                button1 = New System.Windows.Forms.Button()
            End If
            button1.Location = New System.Drawing.Point(31, 29)
            button1.Name = "button1"
            button1.Size = New System.Drawing.Size(87, 35)
            button1.TabIndex = 0
            button1.Text = "button1"
            button1.UseVisualStyleBackColor = True
            AddHandler button1.Click, AddressOf button1_Click
            Dim doc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument

            SetParent(button1.Handle, doc.Window.Handle)
        End Sub


        Private Shared Sub button1_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            button1.Dispose()
        End Sub



Public Class Class1
    <DllImport("user32.dll")> _
    Shared Function SetParent(child As IntPtr, newParent As IntPtr) As IntPtr
    End Function

    Shared panSysMenu As UcSysMenu
    <Autodesk.AutoCAD.Runtime.CommandMethod("MyMenu")> _
    Public Sub loadSysMenu()
        Dim DocCollection As DocumentCollection = Application.DocumentManager
        '文档创建事件
        AddHandler DocCollection.DocumentCreated, AddressOf DocCollection_DocumentCreated 
        For Each doc As Document In DocCollection
            panSysMenu = New UcSysMenu()
            panSysMenu.Location = New System.Drawing.Point(31, 29)
            SetParent(panSysMenu.Handle, doc.Window.Handle)
        Next
    End Sub


    Sub DocCollection_DocumentCreated(sender As Object, e As DocumentCollectionEventArgs)
        panSysMenu = New UcSysMenu()
        panSysMenu.Location = New System.Drawing.Point(31, 29)
        SetParent(panSysMenu.Handle, Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Window.Handle)
    End Sub
End Class


[本日志由 tiancao1001 于 2018-06-24 11:57 PM 编辑]


暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:2*7=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©